--- old/usr/src/uts/common/crypto/io/md4_mod.c	sam. juil. 16 15:13:45 2016
+++ new/usr/src/uts/common/crypto/io/md4_mod.c	sam. juil. 16 15:13:45 2016
@@ -60,8 +60,8 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	(void *)&modlcrypto,
-	NULL
+	{   (void *)&modlcrypto,
+	    NULL }
 };
 
 /*
@@ -127,23 +127,23 @@
 };
 
 static crypto_ops_t md4_crypto_ops = {
-	&md4_control_ops,
-	&md4_digest_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
+	.co_control_ops = &md4_control_ops,
+	.co_digest_ops = &md4_digest_ops,
+	.co_cipher_ops = NULL,
+	.co_mac_ops = NULL,
+	.co_sign_ops = NULL,
+	.co_verify_ops = NULL,
+	.co_dual_ops = NULL,
+	.co_dual_cipher_mac_ops = NULL,
+	.co_random_ops = NULL,
+	.co_session_ops = NULL,
+	.co_object_ops = NULL,
+	.co_key_ops = NULL,
+	.co_provider_ops = NULL,
+	.co_ctx_ops = NULL
 };
 
-static crypto_provider_info_t md4_prov_info = {
+static crypto_provider_info_t md4_prov_info = {{{{
 	CRYPTO_SPI_VERSION_1,
 	"MD4 Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -152,7 +152,7 @@
 	&md4_crypto_ops,
 	sizeof (md4_mech_info_tab)/sizeof (crypto_mech_info_t),
 	md4_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t md4_prov_handle = NULL;
 
